using System;

namespace zalbe
{
    class Program
    {
        static void Main(string[] args)
        {
            int brojTakmicara = int.Parse(Console.ReadLine());
            int[] rezultati = new int[brojTakmicara];
            for (int i = 0; i < brojTakmicara; i++)
            {
              string[] ulaz = Console.ReadLine().Split();
                int godinePrihvatanjaZalbe = int.Parse(ulaz[0]);
                int godineOdbijanjaZalbe = int.Parse(ulaz[1]);
                float[] prihvaceneZalbe = new float[godinePrihvatanjaZalbe];
                float[] odbijeneZalbe = new float[godineOdbijanjaZalbe];

                string[] ulazPrihvaceneZalbe = Console.ReadLine().Split();
                for (int y = 0; y < godinePrihvatanjaZalbe; y++)
                {
                    prihvaceneZalbe[y] =float.Parse( ulazPrihvaceneZalbe[y]);
                }
                string[] ulazOdbijeneZalbe = Console.ReadLine().Split();
                for (int y = 0; y < godineOdbijanjaZalbe; y++)
                {
                    odbijeneZalbe[y] = float.Parse(ulazOdbijeneZalbe[y]);
                }
                
                
                
                
                Array.Sort(prihvaceneZalbe);
                Array.Sort(odbijeneZalbe);

                float x = prihvaceneZalbe[godinePrihvatanjaZalbe - 1];
                float minX = 0;

                for (int y = 0; y < godinePrihvatanjaZalbe-1; y++)
                {
                    minX = prihvaceneZalbe[y + 1] - prihvaceneZalbe[y];
                    
                    if (minX < x)
                    {
                        x = minX;
                    }
                   
                }
                if (odbijeneZalbe[0] == prihvaceneZalbe[0])
                {
                    rezultati[i] = 0; 

                    continue;
                }               

                
                for (int z = 0; z < godinePrihvatanjaZalbe; z++)
                {
                    float pocetak = odbijeneZalbe[0];
                    do
                    {
                        pocetak += x;
                        if (pocetak == prihvaceneZalbe[z])
                        {
                            rezultati[i] = 0;
                            continue;
                        }
                        else
                        {
                            rezultati[i] = 1;                          
                        }

                    } while (pocetak < prihvaceneZalbe[godinePrihvatanjaZalbe - 1]);
                }
            }
            foreach (int i in rezultati)
            {
                Console.WriteLine(i);
            }
        }
    }
}